# -*- coding: utf-8 -*-
# Elisa - Home multimedia server
# Copyright (C) 2006-2008 Fluendo Embedded S.L. (www.fluendo.com).
# All rights reserved.
#
# This file is available under one of two license agreements.
#
# This file is licensed under the GPL version 3.
# See "LICENSE.GPL" in the root of this distribution including a special
# exception to use Elisa with Fluendo's plugins.
#
# The GPL part of Elisa is also available under a commercial licensing
# agreement from Fluendo.
# See "LICENSE.Elisa" in the root directory of this distribution package
# for details on that license.


__maintainer__ = 'Florian Boucault <florian@fluendo.com>'


from elisa.core import common
from elisa.core.input_event import *

plugin_registry = common.application.plugin_registry
BaseListController = plugin_registry.get_component_class('raval:list_controller')

class CoverflowListController(BaseListController):

    def handle_input(self, input_event):
        if input_event.action == EventAction.GO_RIGHT:
            self.next_item()
            return True

        elif input_event.action == EventAction.GO_LEFT:
            self.previous_item()
            return True

        elif input_event.action == EventAction.OK:
            self.activate_item(input_event.origin)
            return True

        return False
